package com.generic.test;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "com.generic.test", "com.generic.test.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "com.generic.test", "com.generic.test.main");
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public static class _linkitem{
boolean IsInitialized;
String linkname;
String Title;
String link;
String PubDate;
long t;
String Description;
String img;
public void Initialize() {
IsInitialized = true;
linkname = "";
Title = "";
link = "";
PubDate = "";
t = 0L;
Description = "";
img = "";
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static class _pageinfo{
boolean IsInitialized;
String linkname;
String link;
String lastupdate;
long t;
long size;
String incoding;
boolean finish;
anywheresoftware.b4a.objects.streams.File.InputStreamWrapper In;
public void Initialize() {
IsInitialized = true;
linkname = "";
link = "";
lastupdate = "";
t = 0L;
size = 0L;
incoding = "";
finish = false;
In = new anywheresoftware.b4a.objects.streams.File.InputStreamWrapper();
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.phone.Phone.PhoneIntents _web = null;
public static int _fill_parent = 0;
public static int _wrap_content = 0;
public static int _id_action_home = 0;
public static int _id_action_refresh = 0;
public static int _id_action_star = 0;
public static int _id_action_share = 0;
public static int _id_action_overflow = 0;
public anywheresoftware.b4a.specci48.splistview.ListViewWrapper[] _rss = null;
public main._pageinfo[] _pi = null;
public anywheresoftware.b4a.objects.collections.List _pagelist = null;
public main._linkitem _thisitem = null;
public main._pageinfo _pagei = null;
public anywheresoftware.b4a.objects.ButtonWrapper _linkbtn = null;
public anywheresoftware.b4a.objects.ButtonWrapper _okbtn = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnl = null;
public anywheresoftware.b4a.objects.EditTextWrapper _mainlbl = null;
public de.amberhome.viewpager.AHPageContainer _container = null;
public de.amberhome.viewpager.AHViewPager _pager = null;
public de.amberhome.viewpager.AHViewPagerTabs _tabs = null;
public anywheresoftware.b4a.agraham.threading.Threading.ExceptionWrapper _exp = null;
public com.rootsoft.customtoast.CustomToast _msg = null;
public uk.co.martinpearman.b4a.text.Html _html1 = null;
public uk.co.martinpearman.b4a.objects.labelextras.LabelExtras _labelextras1 = null;
public uk.co.martinpearman.b4a.text.method.LinkMovementMethod _linkmovementmethod1 = null;
public uk.co.martinpearman.b4a.text.SpannableStringBuilder _spannablestringbuilder1 = null;
public uk.co.martinpearman.b4a.text.style.UnderlineSpan[] _underlinespans = null;
public anywheresoftware.b4a.objects.collections.List _mainlist = null;
public anywheresoftware.b4a.objects.StringUtils _su = null;
public de.amberhome.SimpleActionBar.ActionBarWrapper _ab = null;
public anywheresoftware.b4a.objects.drawable.BitmapDrawable _homeicon = null;
public anywheresoftware.b4a.objects.drawable.BitmapDrawable _overflowicon = null;
public anywheresoftware.b4a.objects.drawable.BitmapDrawable _shareicon = null;
public anywheresoftware.b4a.objects.drawable.BitmapDrawable _refreshicon = null;
public anywheresoftware.b4a.objects.drawable.BitmapDrawable _staricon = null;
public anywheresoftware.b4a.objects.collections.List _changelist = null;
public static String  _ab_itemclicked(int _itemid) throws Exception{
int _i = 0;
 //BA.debugLineNum = 92;BA.debugLine="Sub AB_ItemClicked(ItemID As Int)";
 //BA.debugLineNum = 94;BA.debugLine="Select ItemID";
switch (BA.switchObjectToInt(_itemid,_id_action_refresh,_id_action_home,_id_action_share,_id_action_star,_id_action_overflow)) {
case 0:
 //BA.debugLineNum = 96;BA.debugLine="changelist.Clear";
mostCurrent._changelist.Clear();
 //BA.debugLineNum = 97;BA.debugLine="For i=0 To pi.Length-1";
{
final double step71 = 1;
final double limit71 = (int)(mostCurrent._pi.length-1);
for (_i = (int)(0); (step71 > 0 && _i <= limit71) || (step71 < 0 && _i >= limit71); _i += step71) {
 //BA.debugLineNum = 98;BA.debugLine="pi(i).finish=False";
mostCurrent._pi[_i].finish = anywheresoftware.b4a.keywords.Common.False;
 }
};
 //BA.debugLineNum = 100;BA.debugLine="ab.SetActionVisibility(ID_ACTION_REFRESH,False)";
mostCurrent._ab.SetActionVisibility(_id_action_refresh,anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 101;BA.debugLine="ab.ProgressBarVisible=True";
mostCurrent._ab.setProgressBarVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 102;BA.debugLine="StartReq";
_startreq();
 break;
case 1:
 //BA.debugLineNum = 104;BA.debugLine="pager.GotoPage(0,True)";
mostCurrent._pager.GotoPage((int)(0),anywheresoftware.b4a.keywords.Common.True);
 break;
case 2:
 //BA.debugLineNum = 106;BA.debugLine="Msgbox(\"Share some content ...\", \"Item clicked\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Share some content ...","Item clicked",mostCurrent.activityBA);
 break;
case 3:
 //BA.debugLineNum = 108;BA.debugLine="pager.GotoPage(0,True)";
mostCurrent._pager.GotoPage((int)(0),anywheresoftware.b4a.keywords.Common.True);
 break;
case 4:
 //BA.debugLineNum = 110;BA.debugLine="Msgbox(\"Open a Menu here (Perhaps with AHQuickAction popups)\", \"Item clicked\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Open a Menu here (Perhaps with AHQuickAction popups)","Item clicked",mostCurrent.activityBA);
 break;
}
;
 //BA.debugLineNum = 112;BA.debugLine="End Sub";
return "";
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 63;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 64;BA.debugLine="Activity.LoadLayout(\"Main\")";
mostCurrent._activity.LoadLayout("Main",mostCurrent.activityBA);
 //BA.debugLineNum = 65;BA.debugLine="pnl.Visible=False";
mostCurrent._pnl.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 68;BA.debugLine="homeIcon.Initialize(LoadBitmap(File.DirAssets, \"ic_title_home_default.png\"))";
mostCurrent._homeicon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_title_home_default.png").getObject()));
 //BA.debugLineNum = 69;BA.debugLine="overflowIcon.Initialize(LoadBitmap(File.DirAssets, \"ic_action_overflow.png\"))";
mostCurrent._overflowicon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_action_overflow.png").getObject()));
 //BA.debugLineNum = 70;BA.debugLine="shareIcon.Initialize(LoadBitmap(File.DirAssets, \"ic_action_share.png\"))";
mostCurrent._shareicon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_action_share.png").getObject()));
 //BA.debugLineNum = 71;BA.debugLine="refreshIcon.Initialize(LoadBitmap(File.DirAssets, \"ic_action_refresh.png\"))";
mostCurrent._refreshicon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_action_refresh.png").getObject()));
 //BA.debugLineNum = 72;BA.debugLine="starIcon.Initialize(LoadBitmap(File.DirAssets, \"ic_action_star.png\"))";
mostCurrent._staricon.Initialize((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"ic_action_star.png").getObject()));
 //BA.debugLineNum = 74;BA.debugLine="ab.Initialize(\"AB\")";
mostCurrent._ab.Initialize(mostCurrent.activityBA,"AB");
 //BA.debugLineNum = 75;BA.debugLine="ab.ActionWidth = 42dip";
mostCurrent._ab.setActionWidth(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(42)));
 //BA.debugLineNum = 76;BA.debugLine="Activity.AddView(ab, 0,Activity.Height-42dip , 100%x, 42dip)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._ab.getObject()),(int)(0),(int)(mostCurrent._activity.getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(42))),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(42)));
 //BA.debugLineNum = 78;BA.debugLine="ab.AddActionAt2(ID_ACTION_HOME, homeIcon, 0, \"This is a dynamic action\")";
mostCurrent._ab.AddActionAt2(_id_action_home,(android.graphics.drawable.Drawable)(mostCurrent._homeicon.getObject()),(int)(0),(java.lang.CharSequence)("This is a dynamic action"));
 //BA.debugLineNum = 79;BA.debugLine="ab.AddActionAt2(ID_ACTION_REFRESH, refreshIcon, 0, \"This is a dynamic action\")";
mostCurrent._ab.AddActionAt2(_id_action_refresh,(android.graphics.drawable.Drawable)(mostCurrent._refreshicon.getObject()),(int)(0),(java.lang.CharSequence)("This is a dynamic action"));
 //BA.debugLineNum = 80;BA.debugLine="ab.SetActionVisibility(ID_ACTION_REFRESH,False)";
mostCurrent._ab.SetActionVisibility(_id_action_refresh,anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 82;BA.debugLine="changelist.Initialize";
mostCurrent._changelist.Initialize();
 //BA.debugLineNum = 84;BA.debugLine="If FirstTime=True Then";
if (_firsttime==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 85;BA.debugLine="pagelist.Initialize";
mostCurrent._pagelist.Initialize();
 //BA.debugLineNum = 86;BA.debugLine="container.Initialize";
mostCurrent._container.Initialize(mostCurrent.activityBA);
 //BA.debugLineNum = 87;BA.debugLine="pager.Initialize(container, \"Pager\")";
mostCurrent._pager.Initialize(mostCurrent.activityBA,mostCurrent._container,"Pager");
 //BA.debugLineNum = 88;BA.debugLine="updatelist";
_updatelist();
 };
 //BA.debugLineNum = 90;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
short _selection = 0;
 //BA.debugLineNum = 196;BA.debugLine="Sub Activity_KeyPress(KeyCode As Int) As Boolean";
 //BA.debugLineNum = 197;BA.debugLine="Dim Selection As Short";
_selection = 0;
 //BA.debugLineNum = 198;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 199;BA.debugLine="If pnl.Visible=True Then";
if (mostCurrent._pnl.getVisible()==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 200;BA.debugLine="pnl.Visible=False";
mostCurrent._pnl.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 201;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 203;BA.debugLine="If pager.CurrentPage<>0 Then";
if (mostCurrent._pager.getCurrentPage()!=0) { 
 //BA.debugLineNum = 204;BA.debugLine="pager.GotoPage(0,True)";
mostCurrent._pager.GotoPage((int)(0),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 205;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 208;BA.debugLine="Selection = Msgbox2(\"exit application?\".ToUpperCase, \"C o n f i r m a t i o n\", \"Yes\", \"\", \"No\", Null)";
_selection = (short)(anywheresoftware.b4a.keywords.Common.Msgbox2("exit application?".toUpperCase(),"C o n f i r m a t i o n","Yes","","No",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA));
 //BA.debugLineNum = 209;BA.debugLine="Select Selection";
switch (BA.switchObjectToInt(_selection,(short)(anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE),(short)(anywheresoftware.b4a.keywords.Common.DialogResponse.CANCEL),(short)(anywheresoftware.b4a.keywords.Common.DialogResponse.NEGATIVE))) {
case 0:
 //BA.debugLineNum = 211;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 break;
case 1:
case 2:
 //BA.debugLineNum = 213;BA.debugLine="pager.GotoPage(0,True)";
mostCurrent._pager.GotoPage((int)(0),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 214;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 break;
}
;
 };
 //BA.debugLineNum = 217;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 192;BA.debugLine="Sub Activity_Pause(UserClosed As Boolean)";
 //BA.debugLineNum = 193;BA.debugLine="If UserClosed=True Then ExitApplication";
if (_userclosed==anywheresoftware.b4a.keywords.Common.True) { 
anywheresoftware.b4a.keywords.Common.ExitApplication();};
 //BA.debugLineNum = 194;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 188;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 189;BA.debugLine="Log(\"resume\")";
anywheresoftware.b4a.keywords.Common.Log("resume");
 //BA.debugLineNum = 190;BA.debugLine="End Sub";
return "";
}
public static String  _clickablespan1_click(int _selectionstart,int _selectionend) throws Exception{
anywheresoftware.b4a.keywords.StringBuilderWrapper _logtext = null;
String _selectedtext = "";
 //BA.debugLineNum = 249;BA.debugLine="Sub ClickableSpan1_Click(SelectionStart As Int, SelectionEnd As Int)";
 //BA.debugLineNum = 250;BA.debugLine="Dim LogText As StringBuilder";
_logtext = new anywheresoftware.b4a.keywords.StringBuilderWrapper();
 //BA.debugLineNum = 251;BA.debugLine="LogText.Initialize";
_logtext.Initialize();
 //BA.debugLineNum = 253;BA.debugLine="LogText.Append(\"ClickableSpan1_Click: \"&DateTime.Now&CRLF)";
_logtext.Append("ClickableSpan1_Click: "+BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.getNow())+anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 254;BA.debugLine="LogText.Append(\"SelectionStart=\"&SelectionStart&CRLF)";
_logtext.Append("SelectionStart="+BA.NumberToString(_selectionstart)+anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 255;BA.debugLine="LogText.Append(\"SelectionEnd=\"&SelectionEnd&CRLF)";
_logtext.Append("SelectionEnd="+BA.NumberToString(_selectionend)+anywheresoftware.b4a.keywords.Common.CRLF);
 //BA.debugLineNum = 257;BA.debugLine="Dim SelectedText As String=mainlbl.Text.SubString2(SelectionStart, SelectionEnd)";
_selectedtext = mostCurrent._mainlbl.getText().substring(_selectionstart,_selectionend);
 //BA.debugLineNum = 258;BA.debugLine="LogText.Append(\"Selected (clicked) text='\"&SelectedText&\"'\")";
_logtext.Append("Selected (clicked) text='"+_selectedtext+"'");
 //BA.debugLineNum = 260;BA.debugLine="pnl.Visible=False";
mostCurrent._pnl.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 261;BA.debugLine="pager.Enabled=True";
mostCurrent._pager.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 262;BA.debugLine="Log(thisitem.link.Trim)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._thisitem.link.trim());
 //BA.debugLineNum = 264;BA.debugLine="End Sub";
return "";
}
public static anywheresoftware.b4a.objects.PanelWrapper  _createpanel(anywheresoftware.b4a.specci48.splistview.ListViewWrapper _lv) throws Exception{
anywheresoftware.b4a.objects.PanelWrapper _pan = null;
 //BA.debugLineNum = 181;BA.debugLine="Sub CreatePanel(lv As ListView2) As Panel";
 //BA.debugLineNum = 182;BA.debugLine="Dim pan As Panel";
_pan = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 183;BA.debugLine="pan.Initialize(\"\")";
_pan.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 184;BA.debugLine="pan.AddView(lv, 0, 0, 100%x,pager.Height-42dip)";
_pan.AddView((android.view.View)(_lv.getObject()),(int)(0),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),(int)(mostCurrent._pager.getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(42))));
 //BA.debugLineNum = 185;BA.debugLine="Return pan";
if (true) return _pan;
 //BA.debugLineNum = 186;BA.debugLine="End Sub";
return null;
}
public static String  _getrss_streamfinish(boolean _success,int _taskid) throws Exception{
String _rsslen = "";
String _fn = "";
parserclass _pr = null;
int _nn = 0;
 //BA.debugLineNum = 266;BA.debugLine="Sub GetRSS_StreamFinish(Success As Boolean, TaskId As Int)";
 //BA.debugLineNum = 267;BA.debugLine="If Success=False Then";
if (_success==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 268;BA.debugLine="Log(\"error downloading file \"&TaskId)";
anywheresoftware.b4a.keywords.Common.Log("error downloading file "+BA.NumberToString(_taskid));
 //BA.debugLineNum = 269;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 272;BA.debugLine="Dim rsslen As String";
_rsslen = "";
 //BA.debugLineNum = 273;BA.debugLine="Dim fn As String";
_fn = "";
 //BA.debugLineNum = 274;BA.debugLine="fn=pi(TaskId).linkname&\".xml\"";
_fn = mostCurrent._pi[_taskid].linkname+".xml";
 //BA.debugLineNum = 275;BA.debugLine="rsslen = File.ReadString(File.DirDefaultExternal, fn)";
_rsslen = anywheresoftware.b4a.keywords.Common.File.ReadString(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),_fn);
 //BA.debugLineNum = 278;BA.debugLine="If pi(TaskId).size>0 Then";
if (mostCurrent._pi[_taskid].size>0) { 
 //BA.debugLineNum = 279;BA.debugLine="If pi(TaskId).size <> rsslen.Length Then";
if (mostCurrent._pi[_taskid].size!=_rsslen.length()) { 
 //BA.debugLineNum = 280;BA.debugLine="Log(pi(TaskId).linkname&\"  \"&pi(TaskId).size&\"  \"&rsslen.Length)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._pi[_taskid].linkname+"  "+BA.NumberToString(mostCurrent._pi[_taskid].size)+"  "+BA.NumberToString(_rsslen.length()));
 //BA.debugLineNum = 282;BA.debugLine="pi(TaskId).In=File.OpenInput(File.DirDefaultExternal, fn)";
mostCurrent._pi[_taskid].In = anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),_fn);
 //BA.debugLineNum = 283;BA.debugLine="Dim pr As ParserClass";
_pr = new parserclass();
 //BA.debugLineNum = 284;BA.debugLine="pr.Initialize(TaskId,pi(TaskId))";
_pr._initialize(processBA,_taskid,mostCurrent._pi[_taskid]);
 //BA.debugLineNum = 286;BA.debugLine="changelist.Add(TaskId)";
mostCurrent._changelist.Add((Object)(_taskid));
 };
 }else {
 //BA.debugLineNum = 289;BA.debugLine="pi(TaskId).In=File.OpenInput(File.DirDefaultExternal, fn)";
mostCurrent._pi[_taskid].In = anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),_fn);
 //BA.debugLineNum = 290;BA.debugLine="Dim pr As ParserClass";
_pr = new parserclass();
 //BA.debugLineNum = 291;BA.debugLine="pr.Initialize(TaskId,pi(TaskId))";
_pr._initialize(processBA,_taskid,mostCurrent._pi[_taskid]);
 };
 //BA.debugLineNum = 293;BA.debugLine="pi(TaskId).size=rsslen.Length";
mostCurrent._pi[_taskid].size = (long)(_rsslen.length());
 //BA.debugLineNum = 294;BA.debugLine="ab.Title=\"updat: \"&pi(TaskId).linkname";
mostCurrent._ab.setTitle((java.lang.CharSequence)("updat: "+mostCurrent._pi[_taskid].linkname));
 //BA.debugLineNum = 296;BA.debugLine="pi(TaskId).finish=True";
mostCurrent._pi[_taskid].finish = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 299;BA.debugLine="For nn=0 To mainlist.Size-1";
{
final double step233 = 1;
final double limit233 = (int)(mostCurrent._mainlist.getSize()-1);
for (_nn = (int)(0); (step233 > 0 && _nn <= limit233) || (step233 < 0 && _nn >= limit233); _nn += step233) {
 //BA.debugLineNum = 300;BA.debugLine="If pi(nn).finish=False Then Return";
if (mostCurrent._pi[_nn].finish==anywheresoftware.b4a.keywords.Common.False) { 
if (true) return "";};
 }
};
 //BA.debugLineNum = 302;BA.debugLine="updatemainlistrss";
_updatemainlistrss();
 //BA.debugLineNum = 304;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 28;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 29;BA.debugLine="Dim RSS(100) As ListView2";
mostCurrent._rss = new anywheresoftware.b4a.specci48.splistview.ListViewWrapper[(int)(100)];
{
int d0 = mostCurrent._rss.length;
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._rss[i0] = new anywheresoftware.b4a.specci48.splistview.ListViewWrapper();
}
}
;
 //BA.debugLineNum = 30;BA.debugLine="Dim pi(100) As pageinfo";
mostCurrent._pi = new main._pageinfo[(int)(100)];
{
int d0 = mostCurrent._pi.length;
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._pi[i0] = new main._pageinfo();
}
}
;
 //BA.debugLineNum = 31;BA.debugLine="Dim pagelist As List";
mostCurrent._pagelist = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 32;BA.debugLine="Dim thisitem As linkitem";
mostCurrent._thisitem = new main._linkitem();
 //BA.debugLineNum = 33;BA.debugLine="Dim pagei As pageinfo";
mostCurrent._pagei = new main._pageinfo();
 //BA.debugLineNum = 34;BA.debugLine="Dim linkbtn As Button";
mostCurrent._linkbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Dim okbtn As Button";
mostCurrent._okbtn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Dim pnl As Panel";
mostCurrent._pnl = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Dim mainlbl As EditText";
mostCurrent._mainlbl = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 40;BA.debugLine="Dim container As AHPageContainer";
mostCurrent._container = new de.amberhome.viewpager.AHPageContainer();
 //BA.debugLineNum = 41;BA.debugLine="Dim pager As AHViewPager";
mostCurrent._pager = new de.amberhome.viewpager.AHViewPager();
 //BA.debugLineNum = 43;BA.debugLine="Dim tabs As AHViewPagerTabs";
mostCurrent._tabs = new de.amberhome.viewpager.AHViewPagerTabs();
 //BA.debugLineNum = 45;BA.debugLine="Dim exp As ExceptionEx";
mostCurrent._exp = new anywheresoftware.b4a.agraham.threading.Threading.ExceptionWrapper();
 //BA.debugLineNum = 47;BA.debugLine="Dim msg As CustomToast";
mostCurrent._msg = new com.rootsoft.customtoast.CustomToast();
 //BA.debugLineNum = 49;BA.debugLine="Dim Html1 As Html";
mostCurrent._html1 = new uk.co.martinpearman.b4a.text.Html();
 //BA.debugLineNum = 50;BA.debugLine="Dim LabelExtras1 As LabelExtras";
mostCurrent._labelextras1 = new uk.co.martinpearman.b4a.objects.labelextras.LabelExtras();
 //BA.debugLineNum = 51;BA.debugLine="Dim LinkMovementMethod1 As LinkMovementMethod";
mostCurrent._linkmovementmethod1 = new uk.co.martinpearman.b4a.text.method.LinkMovementMethod();
 //BA.debugLineNum = 52;BA.debugLine="Dim SpannableStringBuilder1 As SpannableStringBuilder";
mostCurrent._spannablestringbuilder1 = new uk.co.martinpearman.b4a.text.SpannableStringBuilder();
 //BA.debugLineNum = 53;BA.debugLine="Dim UnderlineSpans() As UnderlineSpan";
mostCurrent._underlinespans = new uk.co.martinpearman.b4a.text.style.UnderlineSpan[(int)(0)];
{
int d0 = mostCurrent._underlinespans.length;
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._underlinespans[i0] = new uk.co.martinpearman.b4a.text.style.UnderlineSpan();
}
}
;
 //BA.debugLineNum = 54;BA.debugLine="Dim mainlist As List";
mostCurrent._mainlist = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 55;BA.debugLine="Dim su As StringUtils";
mostCurrent._su = new anywheresoftware.b4a.objects.StringUtils();
 //BA.debugLineNum = 57;BA.debugLine="Dim ab As AHActionBar";
mostCurrent._ab = new de.amberhome.SimpleActionBar.ActionBarWrapper();
 //BA.debugLineNum = 58;BA.debugLine="Dim homeIcon, overflowIcon, shareIcon, refreshIcon, starIcon As BitmapDrawable";
mostCurrent._homeicon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
mostCurrent._overflowicon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
mostCurrent._shareicon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
mostCurrent._refreshicon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
mostCurrent._staricon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
 //BA.debugLineNum = 59;BA.debugLine="Dim changelist As List";
mostCurrent._changelist = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _linkbtn_click() throws Exception{
 //BA.debugLineNum = 376;BA.debugLine="Sub linkbtn_Click";
 //BA.debugLineNum = 377;BA.debugLine="pnl.Visible=False";
mostCurrent._pnl.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 378;BA.debugLine="pager.Enabled=True";
mostCurrent._pager.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 379;BA.debugLine="Log(thisitem.link.Trim)";
anywheresoftware.b4a.keywords.Common.Log(mostCurrent._thisitem.link.trim());
 //BA.debugLineNum = 380;BA.debugLine="StartActivity(web.OpenBrowser(thisitem.link.trim)) 'Open the browser with the link";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(_web.OpenBrowser(mostCurrent._thisitem.link.trim())));
 //BA.debugLineNum = 381;BA.debugLine="End Sub";
return "";
}
public static String  _mainlist_itemclick(int _position,Object _value) throws Exception{
 //BA.debugLineNum = 367;BA.debugLine="Sub mainlist_ItemClick (Position As Int, Value As Object)";
 //BA.debugLineNum = 368;BA.debugLine="pager.GotoPage(Position+1,True)";
mostCurrent._pager.GotoPage((int)(_position+1),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 369;BA.debugLine="End Sub";
return "";
}
public static String  _okbtn_click() throws Exception{
 //BA.debugLineNum = 371;BA.debugLine="Sub okbtn_Click";
 //BA.debugLineNum = 372;BA.debugLine="pnl.Visible=False";
mostCurrent._pnl.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 373;BA.debugLine="pager.Enabled=True";
mostCurrent._pager.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 374;BA.debugLine="End Sub";
return "";
}
public static String  _pager_pagechanged(int _position) throws Exception{
 //BA.debugLineNum = 385;BA.debugLine="Sub Pager_PageChanged (Position As Int)";
 //BA.debugLineNum = 387;BA.debugLine="End Sub";
return "";
}
public static String  _pager_pagecreated(int _position,Object _page) throws Exception{
 //BA.debugLineNum = 392;BA.debugLine="Sub Pager_PageCreated (Position As Int, page As Object)";
 //BA.debugLineNum = 394;BA.debugLine="End Sub";
return "";
}
public static String  _pager_pagedestroyed(int _position,Object _page) throws Exception{
 //BA.debugLineNum = 397;BA.debugLine="Sub Pager_PageDestroyed (Position As Int, page As Object)";
 //BA.debugLineNum = 399;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 13;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 14;BA.debugLine="Dim web As PhoneIntents";
_web = new anywheresoftware.b4a.phone.Phone.PhoneIntents();
 //BA.debugLineNum = 15;BA.debugLine="Type linkitem(linkname As String,Title As String,link As String,PubDate As String,t As Long,Description As String,img As String)";
;
 //BA.debugLineNum = 16;BA.debugLine="Type pageinfo(linkname As String,link As String,lastupdate As String,t As Long,size As Long,incoding As String,finish As Boolean,In As InputStream)";
;
 //BA.debugLineNum = 17;BA.debugLine="Dim FILL_PARENT As Int : FILL_PARENT = -1";
_fill_parent = 0;
 //BA.debugLineNum = 17;BA.debugLine="Dim FILL_PARENT As Int : FILL_PARENT = -1";
_fill_parent = (int)(-1);
 //BA.debugLineNum = 18;BA.debugLine="Dim WRAP_CONTENT As Int : WRAP_CONTENT = -2";
_wrap_content = 0;
 //BA.debugLineNum = 18;BA.debugLine="Dim WRAP_CONTENT As Int : WRAP_CONTENT = -2";
_wrap_content = (int)(-2);
 //BA.debugLineNum = 21;BA.debugLine="Dim ID_ACTION_HOME As Int : ID_ACTION_HOME = 0";
_id_action_home = 0;
 //BA.debugLineNum = 21;BA.debugLine="Dim ID_ACTION_HOME As Int : ID_ACTION_HOME = 0";
_id_action_home = (int)(0);
 //BA.debugLineNum = 22;BA.debugLine="Dim ID_ACTION_REFRESH As Int : ID_ACTION_REFRESH = 1";
_id_action_refresh = 0;
 //BA.debugLineNum = 22;BA.debugLine="Dim ID_ACTION_REFRESH As Int : ID_ACTION_REFRESH = 1";
_id_action_refresh = (int)(1);
 //BA.debugLineNum = 23;BA.debugLine="Dim ID_ACTION_STAR As Int : ID_ACTION_STAR = 2";
_id_action_star = 0;
 //BA.debugLineNum = 23;BA.debugLine="Dim ID_ACTION_STAR As Int : ID_ACTION_STAR = 2";
_id_action_star = (int)(2);
 //BA.debugLineNum = 24;BA.debugLine="Dim ID_ACTION_SHARE As Int : ID_ACTION_SHARE = 3";
_id_action_share = 0;
 //BA.debugLineNum = 24;BA.debugLine="Dim ID_ACTION_SHARE As Int : ID_ACTION_SHARE = 3";
_id_action_share = (int)(3);
 //BA.debugLineNum = 25;BA.debugLine="Dim ID_ACTION_OVERFLOW As Int : ID_ACTION_OVERFLOW = 99";
_id_action_overflow = 0;
 //BA.debugLineNum = 25;BA.debugLine="Dim ID_ACTION_OVERFLOW As Int : ID_ACTION_OVERFLOW = 99";
_id_action_overflow = (int)(99);
 //BA.debugLineNum = 26;BA.debugLine="End Sub";
return "";
}
public static String  _rss_itemclick(int _position,Object _value) throws Exception{
String[] _s = null;
String _des = "";
String _txt = "";
uk.co.martinpearman.b4a.text.style.UnderlineSpan _underlinespan1 = null;
int _spanstart = 0;
int _spanend = 0;
int _spanflags = 0;
uk.co.martinpearman.b4a.text.style.ClickableSpan _clickablespan1 = null;
 //BA.debugLineNum = 219;BA.debugLine="Sub RSS_ItemClick(Position As Int, Value As Object)";
 //BA.debugLineNum = 220;BA.debugLine="Dim su As StringUtils";
mostCurrent._su = new anywheresoftware.b4a.objects.StringUtils();
 //BA.debugLineNum = 221;BA.debugLine="Dim S()  As String";
_s = new String[(int)(0)];
java.util.Arrays.fill(_s,"");
 //BA.debugLineNum = 222;BA.debugLine="Dim des As String";
_des = "";
 //BA.debugLineNum = 223;BA.debugLine="Dim txt As String";
_txt = "";
 //BA.debugLineNum = 225;BA.debugLine="thisitem=Value";
mostCurrent._thisitem = (main._linkitem)(_value);
 //BA.debugLineNum = 226;BA.debugLine="pnl.Visible=True";
mostCurrent._pnl.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 227;BA.debugLine="pnl.BringToFront";
mostCurrent._pnl.BringToFront();
 //BA.debugLineNum = 229;BA.debugLine="txt=\"<b><u>\"&thisitem.Title&\"</u></b><br>\"&thisitem.Description";
_txt = "<b><u>"+mostCurrent._thisitem.Title+"</u></b><br>"+mostCurrent._thisitem.Description;
 //BA.debugLineNum = 230;BA.debugLine="SpannableStringBuilder1.Initialize(Html1.FromHtml(txt))";
mostCurrent._spannablestringbuilder1.Initialize(mostCurrent._html1.FromHtml(_txt));
 //BA.debugLineNum = 231;BA.debugLine="UnderlineSpans=SpannableStringBuilder1.GetUnderlineSpans(0, SpannableStringBuilder1.Length)";
mostCurrent._underlinespans = mostCurrent._spannablestringbuilder1.GetUnderlineSpans((int)(0),mostCurrent._spannablestringbuilder1.getLength());
 //BA.debugLineNum = 232;BA.debugLine="For Each UnderlineSpan1 As UnderlineSpan In UnderlineSpans";
final uk.co.martinpearman.b4a.text.style.UnderlineSpan[] group183 = mostCurrent._underlinespans;
for (int index183 = 0;index183 < group183.length;index183++){
_underlinespan1 = group183[index183];
 //BA.debugLineNum = 233;BA.debugLine="Dim SpanStart As Int=SpannableStringBuilder1.GetSpanStart(UnderlineSpan1)";
_spanstart = mostCurrent._spannablestringbuilder1.GetSpanStart((Object)(_underlinespan1.getObject()));
 //BA.debugLineNum = 234;BA.debugLine="Dim SpanEnd As Int=SpannableStringBuilder1.GetSpanEnd(UnderlineSpan1)";
_spanend = mostCurrent._spannablestringbuilder1.GetSpanEnd((Object)(_underlinespan1.getObject()));
 //BA.debugLineNum = 235;BA.debugLine="Dim SpanFlags As Int=SpannableStringBuilder1.GetSpanFlags(UnderlineSpan1)";
_spanflags = mostCurrent._spannablestringbuilder1.GetSpanFlags((Object)(_underlinespan1.getObject()));
 //BA.debugLineNum = 237;BA.debugLine="Dim ClickableSpan1 As ClickableSpan";
_clickablespan1 = new uk.co.martinpearman.b4a.text.style.ClickableSpan();
 //BA.debugLineNum = 238;BA.debugLine="ClickableSpan1.Initialize(\"ClickableSpan1\", Colors.Blue, True)";
_clickablespan1.Initialize(processBA,"ClickableSpan1",anywheresoftware.b4a.keywords.Common.Colors.Blue,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 240;BA.debugLine="SpannableStringBuilder1.SetSpan(ClickableSpan1, SpanStart, SpanEnd, SpanFlags)";
mostCurrent._spannablestringbuilder1.SetSpan((Object)(_clickablespan1.getObject()),_spanstart,_spanend,_spanflags);
 }
;
 //BA.debugLineNum = 242;BA.debugLine="mainlbl.Text=SpannableStringBuilder1";
mostCurrent._mainlbl.setText((Object)(mostCurrent._spannablestringbuilder1.getObject()));
 //BA.debugLineNum = 243;BA.debugLine="LabelExtras1.SetMovementMethod(mainlbl, LinkMovementMethod1.GetInstance)";
mostCurrent._labelextras1.SetMovementMethod((android.widget.TextView)(mostCurrent._mainlbl.getObject()),mostCurrent._linkmovementmethod1.GetInstance());
 //BA.debugLineNum = 244;BA.debugLine="mainlbl.SelectionStart=0";
mostCurrent._mainlbl.setSelectionStart((int)(0));
 //BA.debugLineNum = 246;BA.debugLine="pager.Enabled=False";
mostCurrent._pager.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 247;BA.debugLine="End Sub";
return "";
}
public static String  _startreq() throws Exception{
int _i = 0;
hcclass _hc = null;
 //BA.debugLineNum = 173;BA.debugLine="Sub StartReq";
 //BA.debugLineNum = 174;BA.debugLine="ab.ProgressBarVisible=True";
mostCurrent._ab.setProgressBarVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 175;BA.debugLine="For i=0 To mainlist.Size-1";
{
final double step134 = 1;
final double limit134 = (int)(mostCurrent._mainlist.getSize()-1);
for (_i = (int)(0); (step134 > 0 && _i <= limit134) || (step134 < 0 && _i >= limit134); _i += step134) {
 //BA.debugLineNum = 176;BA.debugLine="Dim hc As hcclass";
_hc = new hcclass();
 //BA.debugLineNum = 177;BA.debugLine="hc.Initialize(pi(i),i)";
_hc._initialize(processBA,mostCurrent._pi[_i],_i);
 }
};
 //BA.debugLineNum = 179;BA.debugLine="End Sub";
return "";
}
public static String  _updatelist() throws Exception{
anywheresoftware.b4a.objects.streams.File.InputStreamWrapper _in = null;
byte[] _buffer = null;
String _s = "";
int _i = 0;
String[] _row = null;
 //BA.debugLineNum = 114;BA.debugLine="Sub updatelist";
 //BA.debugLineNum = 115;BA.debugLine="mainlist.Initialize";
mostCurrent._mainlist.Initialize();
 //BA.debugLineNum = 116;BA.debugLine="Dim In As InputStream";
_in = new anywheresoftware.b4a.objects.streams.File.InputStreamWrapper();
 //BA.debugLineNum = 117;BA.debugLine="In = File.OpenInput(File.DirAssets, \"rsslist.csv\")";
_in = anywheresoftware.b4a.keywords.Common.File.OpenInput(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"rsslist.csv");
 //BA.debugLineNum = 118;BA.debugLine="Dim Buffer(In.BytesAvailable) As Byte";
_buffer = new byte[_in.BytesAvailable()];
;
 //BA.debugLineNum = 119;BA.debugLine="In.ReadBytes(Buffer, 0, In.BytesAvailable)";
_in.ReadBytes(_buffer,(int)(0),_in.BytesAvailable());
 //BA.debugLineNum = 120;BA.debugLine="Dim S As String =BytesToString(Buffer, 0, Buffer.Length, \"windows-1255\")";
_s = anywheresoftware.b4a.keywords.Common.BytesToString(_buffer,(int)(0),_buffer.length,"windows-1255");
 //BA.debugLineNum = 121;BA.debugLine="File.WriteString(File.DirDefaultExternal,\"temp.csv\",S)";
anywheresoftware.b4a.keywords.Common.File.WriteString(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),"temp.csv",_s);
 //BA.debugLineNum = 122;BA.debugLine="In.Close";
_in.Close();
 //BA.debugLineNum = 123;BA.debugLine="mainlist = su.LoadCSV(File.DirDefaultExternal,\"temp.csv\", \",\")";
mostCurrent._mainlist = mostCurrent._su.LoadCSV(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),"temp.csv",BA.ObjectToChar(","));
 //BA.debugLineNum = 126;BA.debugLine="tabs.Initialize(pager)";
mostCurrent._tabs.Initialize(mostCurrent.activityBA,mostCurrent._pager);
 //BA.debugLineNum = 127;BA.debugLine="tabs.LineHeight = 5dip";
mostCurrent._tabs.setLineHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5)));
 //BA.debugLineNum = 128;BA.debugLine="tabs.UpperCaseTitle = True";
mostCurrent._tabs.setUpperCaseTitle(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 129;BA.debugLine="tabs.LineColorCenter = Colors.Red";
mostCurrent._tabs.setLineColorCenter(anywheresoftware.b4a.keywords.Common.Colors.Red);
 //BA.debugLineNum = 130;BA.debugLine="tabs.TextColor = Colors.Gray";
mostCurrent._tabs.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Gray);
 //BA.debugLineNum = 131;BA.debugLine="tabs.TextColorCenter = Colors.Yellow";
mostCurrent._tabs.setTextColorCenter(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 //BA.debugLineNum = 132;BA.debugLine="Activity.AddView(tabs, 0, 0, FILL_PARENT, WRAP_CONTENT)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._tabs.getObject()),(int)(0),(int)(0),_fill_parent,_wrap_content);
 //BA.debugLineNum = 135;BA.debugLine="Activity.AddView(pager, 0, 35dip + 2dip, Activity.Width, Activity.Height-42dip)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._pager.getObject()),(int)(0),(int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(35))+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(2))),mostCurrent._activity.getWidth(),(int)(mostCurrent._activity.getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(42))));
 //BA.debugLineNum = 137;BA.debugLine="pagelist.Clear";
mostCurrent._pagelist.Clear();
 //BA.debugLineNum = 138;BA.debugLine="pager.Enabled=True";
mostCurrent._pager.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 140;BA.debugLine="RSS(RSS.Length-1).Initialize(\"mainlist\")";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].Initialize(mostCurrent.activityBA,"mainlist");
 //BA.debugLineNum = 141;BA.debugLine="container.AddPageAt(CreatePanel(RSS(RSS.Length-1)),\"רשימת rss\",0)";
mostCurrent._container.AddPageAt((android.view.View)(_createpanel(mostCurrent._rss[(int)(mostCurrent._rss.length-1)]).getObject()),"רשימת rss",(int)(0));
 //BA.debugLineNum = 143;BA.debugLine="For i=0 To mainlist.Size-1";
{
final double step109 = 1;
final double limit109 = (int)(mostCurrent._mainlist.getSize()-1);
for (_i = (int)(0); (step109 > 0 && _i <= limit109) || (step109 < 0 && _i >= limit109); _i += step109) {
 //BA.debugLineNum = 144;BA.debugLine="Dim row() As String";
_row = new String[(int)(0)];
java.util.Arrays.fill(_row,"");
 //BA.debugLineNum = 145;BA.debugLine="row=mainlist.Get(i)";
_row = (String[])(mostCurrent._mainlist.Get(_i));
 //BA.debugLineNum = 146;BA.debugLine="pi(i).finish=False";
mostCurrent._pi[_i].finish = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 147;BA.debugLine="pi(i).link=row(2).trim";
mostCurrent._pi[_i].link = _row[(int)(2)].trim();
 //BA.debugLineNum = 148;BA.debugLine="pi(i).linkname=row(1).trim";
mostCurrent._pi[_i].linkname = _row[(int)(1)].trim();
 //BA.debugLineNum = 149;BA.debugLine="pi(i).incoding=row(3).trim";
mostCurrent._pi[_i].incoding = _row[(int)(3)].trim();
 //BA.debugLineNum = 151;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.ItemHeight = 50dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().setItemHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(50)));
 //BA.debugLineNum = 152;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.Height = 20dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)));
 //BA.debugLineNum = 153;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.Label.Gravity = Gravity.CENTER";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().Label.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
 //BA.debugLineNum = 154;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.Label.TextSize = 11dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().Label.setTextSize((float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(11))));
 //BA.debugLineNum = 155;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.Label.Height = 30dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().Label.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 //BA.debugLineNum = 156;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.Label.TextColor=Colors.Yellow";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 //BA.debugLineNum = 158;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.TextSize = 8dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setTextSize((float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(8))));
 //BA.debugLineNum = 159;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.TextColor=Colors.Cyan";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 //BA.debugLineNum = 160;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.Gravity = Gravity.LEFT";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
 //BA.debugLineNum = 162;BA.debugLine="RSS(RSS.Length-1).AddTwoLines2(pi(i).linkname,row(0), i)";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].AddTwoLines2((java.lang.CharSequence)(mostCurrent._pi[_i].linkname),(java.lang.CharSequence)(_row[(int)(0)]),(Object)(_i));
 //BA.debugLineNum = 164;BA.debugLine="RSS(i).Initialize(\"RSS\")";
mostCurrent._rss[_i].Initialize(mostCurrent.activityBA,"RSS");
 //BA.debugLineNum = 165;BA.debugLine="container.AddPageAt(CreatePanel(RSS(i)),row(1).trim,i+1)";
mostCurrent._container.AddPageAt((android.view.View)(_createpanel(mostCurrent._rss[_i]).getObject()),_row[(int)(1)].trim(),(int)(_i+1));
 //BA.debugLineNum = 166;BA.debugLine="tabs.NotifyDataChange";
mostCurrent._tabs.NotifyDataChange();
 }
};
 //BA.debugLineNum = 169;BA.debugLine="StartReq";
_startreq();
 //BA.debugLineNum = 171;BA.debugLine="End Sub";
return "";
}
public static String  _updatemainlistrss() throws Exception{
String _s = "";
boolean _f = false;
int _i = 0;
String[] _row = null;
int _j = 0;
 //BA.debugLineNum = 327;BA.debugLine="Sub updatemainlistrss";
 //BA.debugLineNum = 328;BA.debugLine="Dim S As String";
_s = "";
 //BA.debugLineNum = 329;BA.debugLine="Dim f As Boolean";
_f = false;
 //BA.debugLineNum = 331;BA.debugLine="If changelist.Size>0 Then";
if (mostCurrent._changelist.getSize()>0) { 
 //BA.debugLineNum = 332;BA.debugLine="RSS(RSS.Length-1).Clear";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].Clear();
 //BA.debugLineNum = 333;BA.debugLine="For i=0 To mainlist.Size-1";
{
final double step261 = 1;
final double limit261 = (int)(mostCurrent._mainlist.getSize()-1);
for (_i = (int)(0); (step261 > 0 && _i <= limit261) || (step261 < 0 && _i >= limit261); _i += step261) {
 //BA.debugLineNum = 334;BA.debugLine="Dim row() As String";
_row = new String[(int)(0)];
java.util.Arrays.fill(_row,"");
 //BA.debugLineNum = 335;BA.debugLine="row=mainlist.Get(i)";
_row = (String[])(mostCurrent._mainlist.Get(_i));
 //BA.debugLineNum = 336;BA.debugLine="S=row(0).trim";
_s = _row[(int)(0)].trim();
 //BA.debugLineNum = 337;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.ItemHeight = 50dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().setItemHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(50)));
 //BA.debugLineNum = 338;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.Height = 20dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)));
 //BA.debugLineNum = 339;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.Label.Gravity = Gravity.CENTER";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().Label.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
 //BA.debugLineNum = 340;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.Label.TextSize = 11dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().Label.setTextSize((float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(11))));
 //BA.debugLineNum = 341;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.Label.Height = 30dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().Label.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 //BA.debugLineNum = 342;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.Label.TextColor=Colors.Yellow";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 //BA.debugLineNum = 344;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.TextSize = 8dip";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setTextSize((float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(8))));
 //BA.debugLineNum = 345;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.TextColor=Colors.Cyan";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 //BA.debugLineNum = 346;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.Gravity = Gravity.LEFT";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
 //BA.debugLineNum = 348;BA.debugLine="f=False";
_f = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 349;BA.debugLine="For j=0 To changelist.Size-1";
{
final double step275 = 1;
final double limit275 = (int)(mostCurrent._changelist.getSize()-1);
for (_j = (int)(0); (step275 > 0 && _j <= limit275) || (step275 < 0 && _j >= limit275); _j += step275) {
 //BA.debugLineNum = 350;BA.debugLine="If changelist.Get(j)=i Then f=True";
if ((mostCurrent._changelist.Get(_j)).equals((Object)(_i))) { 
_f = anywheresoftware.b4a.keywords.Common.True;};
 }
};
 //BA.debugLineNum = 352;BA.debugLine="If f=False Then";
if (_f==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 353;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.TextColor=Colors.Cyan";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 }else {
 //BA.debugLineNum = 355;BA.debugLine="RSS(RSS.Length-1).TwoLinesLayout.SecondLabel.TextColor=Colors.Magenta";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].getTwoLinesLayout().SecondLabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Magenta);
 //BA.debugLineNum = 356;BA.debugLine="S=S&\"  \"&DateTime.Time(DateTime.Now)";
_s = _s+"  "+anywheresoftware.b4a.keywords.Common.DateTime.Time(anywheresoftware.b4a.keywords.Common.DateTime.getNow());
 };
 //BA.debugLineNum = 358;BA.debugLine="RSS(RSS.Length-1).AddTwoLines2(row(1),S, i)";
mostCurrent._rss[(int)(mostCurrent._rss.length-1)].AddTwoLines2((java.lang.CharSequence)(_row[(int)(1)]),(java.lang.CharSequence)(_s),(Object)(_i));
 }
};
 };
 //BA.debugLineNum = 362;BA.debugLine="ab.SetActionVisibility(ID_ACTION_REFRESH,True)";
mostCurrent._ab.SetActionVisibility(_id_action_refresh,anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 363;BA.debugLine="ab.ProgressBarVisible=False";
mostCurrent._ab.setProgressBarVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 364;BA.debugLine="ab.Title=\"finished loading\"";
mostCurrent._ab.setTitle((java.lang.CharSequence)("finished loading"));
 //BA.debugLineNum = 365;BA.debugLine="End Sub";
return "";
}
public static String  _updaterss(anywheresoftware.b4a.objects.collections.List _ls,int _pagenum) throws Exception{
int _i = 0;
main._linkitem _it = null;
 //BA.debugLineNum = 306;BA.debugLine="Sub updaterss(ls As List,pagenum As Int)";
 //BA.debugLineNum = 307;BA.debugLine="For i=0 To ls.Size-1";
{
final double step239 = 1;
final double limit239 = (int)(_ls.getSize()-1);
for (_i = (int)(0); (step239 > 0 && _i <= limit239) || (step239 < 0 && _i >= limit239); _i += step239) {
 //BA.debugLineNum = 308;BA.debugLine="Dim it As linkitem";
_it = new main._linkitem();
 //BA.debugLineNum = 309;BA.debugLine="it=ls.Get(i)";
_it = (main._linkitem)(_ls.Get(_i));
 //BA.debugLineNum = 310;BA.debugLine="RSS(pagenum).TwoLinesLayout.ItemHeight = 70dip";
mostCurrent._rss[_pagenum].getTwoLinesLayout().setItemHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70)));
 //BA.debugLineNum = 311;BA.debugLine="RSS(pagenum).TwoLinesLayout.SecondLabel.Height = 30dip";
mostCurrent._rss[_pagenum].getTwoLinesLayout().SecondLabel.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(30)));
 //BA.debugLineNum = 312;BA.debugLine="RSS(pagenum).TwoLinesLayout.Label.Gravity = Gravity.LEFT";
mostCurrent._rss[_pagenum].getTwoLinesLayout().Label.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
 //BA.debugLineNum = 313;BA.debugLine="RSS(pagenum).TwoLinesLayout.Label.TextSize = 9dip";
mostCurrent._rss[_pagenum].getTwoLinesLayout().Label.setTextSize((float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(9))));
 //BA.debugLineNum = 314;BA.debugLine="RSS(pagenum).TwoLinesLayout.Label.Height = 40dip";
mostCurrent._rss[_pagenum].getTwoLinesLayout().Label.setHeight(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 //BA.debugLineNum = 315;BA.debugLine="RSS(pagenum).TwoLinesLayout.Label.TextColor=Colors.Yellow";
mostCurrent._rss[_pagenum].getTwoLinesLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 //BA.debugLineNum = 317;BA.debugLine="RSS(pagenum).TwoLinesLayout.SecondLabel.TextSize = 8dip";
mostCurrent._rss[_pagenum].getTwoLinesLayout().SecondLabel.setTextSize((float)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(8))));
 //BA.debugLineNum = 318;BA.debugLine="RSS(pagenum).TwoLinesLayout.SecondLabel.TextColor=Colors.Cyan";
mostCurrent._rss[_pagenum].getTwoLinesLayout().SecondLabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 //BA.debugLineNum = 319;BA.debugLine="RSS(pagenum).TwoLinesLayout.SecondLabel.Gravity = Gravity.BOTTOM";
mostCurrent._rss[_pagenum].getTwoLinesLayout().SecondLabel.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.BOTTOM);
 //BA.debugLineNum = 321;BA.debugLine="RSS(pagenum).AddTwoLines2(Html1.FromHtml(it.Title),it.PubDate, it)";
mostCurrent._rss[_pagenum].AddTwoLines2(mostCurrent._html1.FromHtml(_it.Title),(java.lang.CharSequence)(_it.PubDate),(Object)(_it));
 }
};
 //BA.debugLineNum = 323;BA.debugLine="RSS(pagenum).Invalidate";
mostCurrent._rss[_pagenum].Invalidate();
 //BA.debugLineNum = 324;BA.debugLine="Log(\"finished  \"&pi(pagenum).linkname)";
anywheresoftware.b4a.keywords.Common.Log("finished  "+mostCurrent._pi[_pagenum].linkname);
 //BA.debugLineNum = 325;BA.debugLine="End Sub";
return "";
}
}
